netcdf-fortran_4_4_4-gnu-openmpi3-hpc-devel-static-4.4.4-lp150.31.1.x86_64.rpm


Advertisement

Description

netcdf-fortran_4_4_4-gnu-openmpi3-hpc-devel-static - Static development files for netcdf-fortran_4_4_4-gnu-openmpi3-hpc

Property Value
Distribution openSUSE Leap 15.0
Repository Science all
Package filename netcdf-fortran_4_4_4-gnu-openmpi3-hpc-devel-static-4.4.4-lp150.31.1.x86_64.rpm
Package name netcdf-fortran_4_4_4-gnu-openmpi3-hpc-devel-static
Package version 4.4.4
Package release lp150.31.1
Package architecture x86_64
Package type rpm
Category Development/Libraries/Parallel
Homepage http://www.unidata.ucar.edu/software/netcdf/
License NetCDF
Maintainer -
Download size 348.47 KB
Installed size 1.23 MB
NetCDF is a set of software libraries and self-describing,
machine-independent data formats that support the creation, access,
and sharing of array-oriented scientific data.
This package contains the static libraries for
the openmpi version of NetCDF.

Alternatives

Package Version Architecture Repository
netcdf-fortran_4_4_4-gnu-openmpi3-hpc-devel-static-4.4.4-lp150.7.1.x86_64.rpm 4.4.4 x86_64 openSUSE Oss
netcdf-fortran_4_4_4-gnu-openmpi3-hpc-devel-static - - -

Requires

Name Value
hdf5-gnu-openmpi3-hpc-devel >= 1.8.8
libcurl-devel >= 7.18.0
netcdf-fortran_4_4_4-gnu-openmpi3-hpc-devel = 4.4.4
zlib-devel >= 1.2.5

Provides

Name Value
netcdf-fortran_4_4_4-gnu-openmpi3-hpc-devel-static = 4.4.4-lp150.31.1
netcdf-fortran_4_4_4-gnu-openmpi3-hpc-devel-static(x86-64) = 4.4.4-lp150.31.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package netcdf-fortran_4_4_4-gnu-openmpi3-hpc-devel-static-4.4.4-lp150.31.1.x86_64.rpm
Source Package netcdf-fortran_4_4_4-gnu-openmpi3-hpc-4.4.4-lp150.31.1.src.rpm

Install Howto

  1. Add the Science repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/science/openSUSE_Leap_15.0/ science
  2. Install netcdf-fortran_4_4_4-gnu-openmpi3-hpc-devel-static rpm package:
    # zypper install netcdf-fortran_4_4_4-gnu-openmpi3-hpc-devel-static

Files

Path
/usr/lib/hpc/gnu7/openmpi3/netcdf-fortran/4.4.4/lib64/libnetcdff.a

Changelog

2018-04-30 - eich@suse.com
- (Temporarily) disable fpr S390* as a check test for netcdf fails
currently on BE (bsc#1091474).
2018-03-27 - eich@suse.com
- Fix hdf5 devel package dependency of static HPC library package
to pull in the HPC variant (boo#1087090).
2018-02-09 - eich@suse.com
- Add support for openmpi2 for HPC (FATE#325089).
2018-02-09 - eich@suse.com
- Fix summary in module files (bnc#1080259).
2018-01-26 - eich@suse.com
- Fix the module load command for netcdf to reflect the change
to 'pnetcdf' for MPI versions following (boo#1075933).
2018-01-12 - eich@suse.com
- Disable the openmpi3 flavor in some products.
2018-01-05 - eich@suse.com
- Switch from gcc6 to gcc7 as additional compiler flavor for HPC on SLES.
- Add support for mpich and openmpi3 for HPC.
2017-11-15 - eich@suse.com
- Fix typo in modules file which made help less useful.
2017-11-14 - eich@suse.com
- Fix modules file: only use %hpc_bindir if it really exists
- Translate '-' to '_' for env-variable.
2017-11-10 - eich@suse.com
- Add Requires: for the netcdf library/devel package to the
netcdf-fortran library/devel package for HPC.

See Also

Package Description
netcdf-gnu-hpc-4.6.1-lp150.77.2.noarch.rpm Dependency package for netcdf_4_6_1-gnu-hpc
netcdf-gnu-hpc-devel-4.6.1-lp150.77.2.noarch.rpm Dependency package for netcdf_4_6_1-gnu-hpc-devel
netcdf-gnu-mpich-hpc-4.6.1-lp150.77.2.noarch.rpm Dependency package for netcdf_4_6_1-gnu-mpich-hpc
netcdf-gnu-mpich-hpc-devel-4.6.1-lp150.77.2.noarch.rpm Dependency package for netcdf_4_6_1-gnu-mpich-hpc-devel
netcdf-gnu-mvapich2-hpc-4.6.1-lp150.77.2.noarch.rpm Dependency package for netcdf_4_6_1-gnu-mvapich2-hpc
netcdf-gnu-mvapich2-hpc-devel-4.6.1-lp150.77.2.noarch.rpm Dependency package for netcdf_4_6_1-gnu-mvapich2-hpc-devel
netcdf-gnu-openmpi1-hpc-4.6.1-lp150.77.2.noarch.rpm Dependency package for netcdf_4_6_1-gnu-openmpi1-hpc
netcdf-gnu-openmpi1-hpc-devel-4.6.1-lp150.77.2.noarch.rpm Dependency package for netcdf_4_6_1-gnu-openmpi1-hpc-devel
netcdf-gnu-openmpi2-hpc-4.6.1-lp150.77.2.noarch.rpm Dependency package for netcdf_4_6_1-gnu-openmpi2-hpc
netcdf-gnu-openmpi2-hpc-devel-4.6.1-lp150.77.2.noarch.rpm Dependency package for netcdf_4_6_1-gnu-openmpi2-hpc-devel
netcdf-gnu-openmpi3-hpc-4.6.1-lp150.77.2.noarch.rpm Dependency package for netcdf_4_6_1-gnu-openmpi3-hpc
netcdf-gnu-openmpi3-hpc-devel-4.6.1-lp150.77.2.noarch.rpm Dependency package for netcdf_4_6_1-gnu-openmpi3-hpc-devel
netcdf-openmpi-4.6.1-lp150.84.1.x86_64.rpm Command-line programs for the NetCDF scientific data format
netcdf-openmpi-devel-4.6.1-lp150.84.1.x86_64.rpm Development files for netcdf-openmpi
netcdf-openmpi-devel-static-4.6.1-lp150.84.1.x86_64.rpm Static development files for netcdf-openmpi
Advertisement
Advertisement